diff --git a/src/test/regress/expected/identity.out b/src/test/regress/expected/identity.out
index 99811570b7b..5dd211e4563 100644
--- a/src/test/regress/expected/identity.out
+++ b/src/test/regress/expected/identity.out
@@ -160,6 +160,28 @@ SELECT * FROM itest5;
  16 | iii
 (21 rows)
 
+TRUNCATE TABLE itest5;
+INSERT INTO itest5 OVERRIDING SYSTEM VALUE SET a = -1, b = 'aa';
+INSERT INTO itest5 OVERRIDING SYSTEM VALUE SET a = DEFAULT, b = 'bb';
+INSERT INTO itest5 OVERRIDING SYSTEM VALUE SET a = DEFAULT;
+INSERT INTO itest5 OVERRIDING SYSTEM VALUE SET b = 'cc';
+INSERT INTO itest5 OVERRIDING USER VALUE SET a = -1, b = 'aaa';
+INSERT INTO itest5 OVERRIDING USER VALUE SET a = DEFAULT, b = 'bbb';
+INSERT INTO itest5 OVERRIDING USER VALUE SET a = DEFAULT;
+INSERT INTO itest5 OVERRIDING USER VALUE SET b = 'ccc';
+SELECT * FROM itest5;
+ a  |  b  
+----+-----
+ -1 | aa
+ 17 | bb
+ 18 | 
+ 19 | cc
+ 20 | aaa
+ 21 | bbb
+ 22 | 
+ 23 | ccc
+(8 rows)
+
 DROP TABLE itest5;
 INSERT INTO itest3 VALUES (DEFAULT, 'a');
 INSERT INTO itest3 VALUES (DEFAULT, 'b'), (DEFAULT, 'c');
diff --git a/src/test/regress/sql/identity.sql b/src/test/regress/sql/identity.sql
index 52800f265c2..a659d9e9405 100644
--- a/src/test/regress/sql/identity.sql
+++ b/src/test/regress/sql/identity.sql
@@ -77,6 +77,21 @@ INSERT INTO itest5 OVERRIDING USER VALUE VALUES (-5, 'fff'), (DEFAULT, 'ggg');
 INSERT INTO itest5 OVERRIDING USER VALUE VALUES (DEFAULT, 'hhh'), (DEFAULT, 'iii');
 
 SELECT * FROM itest5;
+
+TRUNCATE TABLE itest5;
+
+INSERT INTO itest5 OVERRIDING SYSTEM VALUE SET a = -1, b = 'aa';
+INSERT INTO itest5 OVERRIDING SYSTEM VALUE SET a = DEFAULT, b = 'bb';
+INSERT INTO itest5 OVERRIDING SYSTEM VALUE SET a = DEFAULT;
+INSERT INTO itest5 OVERRIDING SYSTEM VALUE SET b = 'cc';
+
+INSERT INTO itest5 OVERRIDING USER VALUE SET a = -1, b = 'aaa';
+INSERT INTO itest5 OVERRIDING USER VALUE SET a = DEFAULT, b = 'bbb';
+INSERT INTO itest5 OVERRIDING USER VALUE SET a = DEFAULT;
+INSERT INTO itest5 OVERRIDING USER VALUE SET b = 'ccc';
+
+SELECT * FROM itest5;
+
 DROP TABLE itest5;
 
 INSERT INTO itest3 VALUES (DEFAULT, 'a');
-- 
2.32.0 (Apple Git-132)

